Bug 1305365 - Review Request: concurrentunit - Toolkit for testing multi-threaded and asynchronous applications
Review Request: concurrentunit - Toolkit for testing multi-threaded and async...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On: 1305015
Blocks: 1305547
  Show dependency treegraph
 
Reported: 2016-02-07 11:48 EST by Raphael Groner
Modified: 2016-04-10 10:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 10:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2016-02-07 11:48:02 EST
Spec URL: https://raphgro.fedorapeople.org/review/java/testing/concurrentunit.spec
SRPM URL: https://raphgro.fedorapeople.org/review/java/testing/concurrentunit-0.4.2-1.fc23.src.rpm
Description: Toolkit for testing multi-threaded and asynchronous applications 
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12898241
Comment 1 Upstream Release Monitoring 2016-02-07 11:49:18 EST
raphgro's scratch build of concurrentunit-0.4.2-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12898241
Comment 2 Raphael Groner 2016-02-07 12:09:17 EST
(In reply to Upstream Release Monitoring from comment #1)
> raphgro's scratch build of concurrentunit-0.4.2-1.fc23.src.rpm for rawhide
> failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12898241

Error: nothing provides mvn(org.codehaus.groovy:groovy-all) needed by xbean-4.4-2.fc24.noarch

Obviously, not a fault of my package.
Comment 3 gil cattaneo 2016-02-07 13:10:54 EST
(In reply to Raphael Groner from comment #2)
> (In reply to Upstream Release Monitoring from comment #1)
> > raphgro's scratch build of concurrentunit-0.4.2-1.fc23.src.rpm for rawhide
> > failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12898241
> 
> Error: nothing provides mvn(org.codehaus.groovy:groovy-all) needed by
> xbean-4.4-2.fc24.noarch
> 
> Obviously, not a fault of my package.

The issues is related to newer gradle macros (... maybe ...)
i open a bug https://bugzilla.redhat.com/show_bug.cgi?id=1305015

the bug https://bugzilla.redhat.com/show_bug.cgi?id=1287384 has nothing to do with this problem
Comment 4 Upstream Release Monitoring 2016-02-08 12:02:50 EST
raphgro's scratch build of concurrentunit-0.4.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12903946
Comment 5 gil cattaneo 2016-03-10 09:23:06 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in
     /home/gil/1305365-concurrentunit/licensecheck.txt
 Source files are missing license headers. Would you please contact upstream to fix it?
 https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
 concurrentunit-concurrentunit-0.4.2/src/main/java/net/jodah/concurrentunit/ConcurrentTestCase.java
 concurrentunit-concurrentunit-0.4.2/src/main/java/net/jodah/concurrentunit/Waiter.java
 concurrentunit-concurrentunit-0.4.2/src/main/java/net/jodah/concurrentunit/internal/ReentrantCircuit.java
 
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     concurrentunit-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: concurrentunit-0.4.2-1.fc25.noarch.rpm
          concurrentunit-javadoc-0.4.2-1.fc25.noarch.rpm
          concurrentunit-0.4.2-1.fc25.src.rpm
concurrentunit.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
concurrentunit.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
concurrentunit.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/concurrentunit/README.md
concurrentunit.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
concurrentunit.src: W: spelling-error %description -l en_US multi -> mulch, mufti
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
concurrentunit.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
concurrentunit.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
concurrentunit.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/concurrentunit/README.md
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
concurrentunit-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

concurrentunit (rpmlib, GLIBC filtered):
    hamcrest
    java-headless
    javapackages-tools



Provides
--------
concurrentunit-javadoc:
    concurrentunit-javadoc

concurrentunit:
    concurrentunit
    mvn(net.jodah:concurrentunit)
    mvn(net.jodah:concurrentunit:pom:)



Source checksums
----------------
https://github.com/jhalterman/concurrentunit/archive/concurrentunit-0.4.2.tar.gz#/concurrentunit-0.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : d82ac01705e0e434ed6e3924e22b1143f55b938f07836b1b3c711f411dadf16f
  CHECKSUM(SHA256) upstream package : d82ac01705e0e434ed6e3924e22b1143f55b938f07836b1b3c711f411dadf16f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1305365 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 gil cattaneo 2016-03-10 09:25:08 EST
ISSUES:
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in
     /home/gil/1305365-concurrentunit/licensecheck.txt
 Source files are missing license headers. Would you please contact upstream to fix it?
 https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
 concurrentunit-concurrentunit-0.4.2/src/main/java/net/jodah/concurrentunit/ConcurrentTestCase.java
 concurrentunit-concurrentunit-0.4.2/src/main/java/net/jodah/concurrentunit/Waiter.java
 concurrentunit-concurrentunit-0.4.2/src/main/java/net/jodah/concurrentunit/internal/ReentrantCircuit.java

NON blocking issues:
[?]: Requires correct, justified where necessary.
if you remove <optional>true</optional> you don't need to add Requires:       hamcrest

concurrentunit.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/concurrentunit/README.md
Comment 7 gil cattaneo 2016-03-10 11:08:29 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13298334
Comment 8 Raphael Groner 2016-03-22 17:10:07 EDT
@Gil
Unfortunately. the review swap with arquillian-core and shrinkwrap-resolver does not work for me cause both packages are too confusing for me.
Though, I'm still interested in doing any other review swap, do you have some "simpler" request to swap with?
I hope you don't take it personally now, it was not meant such as.
Comment 9 Wolfgang Ulbrich 2016-03-31 06:34:29 EDT
From my point of view the Apache Software License 2.0 is fine, see
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses
But it looks like that upstream has forgotten to add a header to the License in tarball.
See APPENDIX: How to apply the Apache License to your work
http://www.apache.org/licenses/LICENSE-2.0
I suggest to ask at fedora-legal mailing list if it is really necessary that upstream have to add this header.
Rest of the package looks good and i can approve it if this point is clear.
Comment 10 Raphael Groner 2016-03-31 07:58:07 EDT
Gil and Wolfgang,
thanks for your hints to license improvement. I reported to upstream:
https://github.com/jhalterman/concurrentunit/issues/12
Comment 11 Raphael Groner 2016-03-31 13:46:58 EDT
Spec URL: https://raphgro.fedorapeople.org/review/java/testing/concurrentunit.spec
SRPM URL: https://raphgro.fedorapeople.org/review/java/testing/concurrentunit-0.4.2-2.fc23.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13519566

%changelog
* Thu Mar 31 2016 Raphael Groner <projects.rg@smart.ms> - 0.4.2-2
- add patch for license header
- fix line delimiter
- unbundle hamcrest
Comment 12 Wolfgang Ulbrich 2016-04-01 05:43:03 EDT
APPROVED!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Can't find any BUILD directory (--prebuilt option?)
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     concurrentunit-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: concurrentunit-0.4.2-2.fc25.noarch.rpm
          concurrentunit-javadoc-0.4.2-2.fc25.noarch.rpm
          concurrentunit-0.4.2-2.fc25.src.rpm
concurrentunit.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
concurrentunit.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
concurrentunit.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
concurrentunit.src: W: spelling-error %description -l en_US multi -> mulch, mufti
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
concurrentunit.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
concurrentunit.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
concurrentunit-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

concurrentunit (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.hamcrest:hamcrest-all)



Provides
--------
concurrentunit-javadoc:
    concurrentunit-javadoc

concurrentunit:
    concurrentunit
    mvn(net.jodah:concurrentunit)
    mvn(net.jodah:concurrentunit:pom:)



Source checksums
----------------
https://github.com/jhalterman/concurrentunit/archive/concurrentunit-0.4.2.tar.gz#/concurrentunit-0.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : d82ac01705e0e434ed6e3924e22b1143f55b938f07836b1b3c711f411dadf16f
  CHECKSUM(SHA256) upstream package : d82ac01705e0e434ed6e3924e22b1143f55b938f07836b1b3c711f411dadf16f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -r -n concurrentunit -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 13 Raphael Groner 2016-04-01 06:27:10 EDT
Thanks for the review!
Comment 14 Gwyn Ciesla 2016-04-01 14:06:54 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/concurrentunit
Comment 15 Fedora Update System 2016-04-01 15:42:08 EDT
concurrentunit-0.4.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8efc9f229e
Comment 16 Fedora Update System 2016-04-01 15:42:14 EDT
concurrentunit-0.4.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8e3042cb
Comment 17 Fedora Update System 2016-04-02 01:24:11 EDT
concurrentunit-0.4.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8e3042cb
Comment 18 Fedora Update System 2016-04-02 01:25:54 EDT
concurrentunit-0.4.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8efc9f229e
Comment 19 Fedora Update System 2016-04-06 10:06:51 EDT
concurrentunit-0.4.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-04-10 10:22:49 EDT
concurrentunit-0.4.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.